import { RandomSeed } from 'random-seed';
export declare type Options = {
    defaults?: Config;
    adjectives?: string[];
    nouns?: string[];
    seed?: string;
};
export declare type Config = {
    delimiter?: string;
    tokenLength?: number;
    tokenHex?: boolean;
    tokenChars?: string;
};
export default class Haikunator {
    adjectives: string[];
    nouns: string[];
    random: RandomSeed;
    config: Config;
    /**
     * Initialize new haikunator
     */
    constructor(options?: Options);
    /**
     * Generate heroku-like random names
     */
    haikunate(options?: Config): string;
    /**
     * Get a random element from an array/string
     * @param {(string|Array)} array
     * @returns {*}
     * @private
     */
    _randomElement(array: (string | Array<any> | undefined)): (string | undefined);
}
